#PipeLib {
    background: #fff;
    border-left: 1px solid #ccc;
    bottom: 0;
    display: grid;
    grid-template-rows: auto 3rem;
    height: 100%;
    position: absolute;
    right: 7.5rem;
    top: 0;
    z-index: 4;
    width: 640px;
}

#Library {
    color: #2e2e2e;
    cursor: pointer;
    display: grid;
    grid-auto-flow: row;
}

#Library .Item {
    align-items: center;
    display: grid;
    grid-gap: 1rem;
    grid-template-columns: 1fr 21fr 2fr;
    padding: 1rem;
}

#Library .Item .Icon {
    height: 4rem;
    width: 4rem;
}

#Library .Item .Title {
    cursor: pointer;
    font-size: 1.2rem;
}

#Library .Item .Author {
    cursor: pointer;
    font-size: 0.9rem;
}

#Library .Item .Description {
    cursor: pointer;
    font-size: 1rem;
}

#Library .Item .Actions {
    display: none;
}

#Library .Item .Actions a {
    color: lightblue;
    cursor: pointer;
    text-decoration: underline;
}

#Library .Item.Selected {
    background: #454545;
    color: #fff;
    cursor: default;
    text-shadow: #000 0 0 1px;
}

#Library .Item.Selected .Title {
    font-weight: bold;
}

#Library .Item.Selected .Title,
#Library .Item.Selected .Author,
#Library .Item.Selected .Description {
    cursor: default;
}

#Library .Item.Selected .Actions {
    display: block;
    cursor: default;
}
